KFilePropsPlugin class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFilePropsPlugin Class Reference

'General' plugin This plugin displays the name of the file, its size and access times. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KFilePropsPlugin:

[legend]
Collaboration diagram for KFilePropsPlugin:

[legend]
List of all members.

## Public Member Functions
| KFilePropsPlugin (KPropertiesDialog *_props)
| Constructor.
virtual void | applyChanges ()
| Applies all changes made.
void | postApplyChanges ()
| Called after all plugins applied their changes.
## Static Public Member Functions
bool | supports (KFileItemList _items)
| Tests whether the files specified by _items need a 'General' plugin.
## Protected Slots
void | slotCopyFinished (KIO::Job *)
void | slotFileRenamed (KIO::Job *, const KURL &, const KURL &)
void | slotDirSizeFinished (KIO::Job *)
void | slotFoundMountPoint (const QString &mp, unsigned long kBSize, unsigned long kBUsed, unsigned long kBAvail)
void | slotSizeStop ()
void | slotSizeDetermine ()

## Detailed Description

'General' plugin This plugin displays the name of the file, its size and access times.

Definition at line 392 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KFilePropsPlugin::KFilePropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 612 of file kpropertiesdialog.cpp. References QGridLayout::addLayout(), QGridLayout::addMultiCellWidget(), KDialogBase::addPage(), QGridLayout::addWidget(), KPropsDlgPlugin::changed(), QObject::connect(), QPtrList::count(), QPtrListIterator::current(), KPropertiesDialog::currentDir(), KIO::decodeFileName(), KMimeType::defaultMimeType(), KPropertiesDialog::defaultName(), KIcon::Device, KPropertiesDialog::dialog(), KURL::directory(), KURL::fileName(), KMimeType::findByFileContent(), KMimeType::findByURL(), KIO::findPathMountPoint(), QString::fromLatin1(), KMimeType::iconForURL(), KPropsDlgPlugin::isDesktopFile(), KFileItem::isDir(), QString::isEmpty(), KFileItem::isLink(), KURL::isLocalFile(), QString::isNull(), KPropertiesDialog::item(), KPropertiesDialog::items(), KPropertiesDialog::kurl(), KFileItem::linkDest(), KGlobal::locale(), KDialog::marginHint(), KFileItem::mimeComment(), KFileItem::mode(), KURL::path(), KURL::prettyURL(), KPropsDlgPlugin::properties, KURL::protocol(), KDiskFreeSp::readDF(), KConfigBase::readEntry(), QGridLayout::setColStretch(), KConfigBase::setDesktopGroup(), KIconButton::setIcon(), KIconButton::setIconType(), QLabel::setPixmap(), KIconButton::setStrictIconSize(), QPushButton::setText(), QLineEdit::setText(), QLabel::setText(), QDateTime::setTime_t(), KFileItem::size(), KDialog::spacingHint(), KFileItem::time(), KGlobalSettings::trashPath(), and KFileItem::url().

## Member Function Documentation

void KFilePropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes made. This plugin must be always the first plugin in the dialog, since this function may rename the file which may confuse other applyChanges functions. Reimplemented from KPropsDlgPlugin. Definition at line 1054 of file kpropertiesdialog.cpp. References KPropertiesDialog::abortApplying(), QObject::connect(), KIO::copy(), KIO::encodeFileName(), QString::isEmpty(), KPropertiesDialog::kurl(), QString::length(), KIO::move(), KURL::path(), KPropsDlgPlugin::properties, KPropertiesDialog::rename(), KMessageBox::sorry(), QString::truncate(), and KURL::url().

bool KFilePropsPlugin::supports | ( | KFileItemList | _items | ) | `[static]`

| Tests whether the files specified by _items need a 'General' plugin. Definition at line 1045 of file kpropertiesdialog.cpp. Referenced by KPropertiesDialog::canDisplay().

void KFilePropsPlugin::postApplyChanges | ( |  | ) |

| Called after all plugins applied their changes. Definition at line 1202 of file kpropertiesdialog.cpp. References QValueList< KURL >::append(), QPtrListIterator::current(), KPropertiesDialog::items(), and KPropsDlgPlugin::properties. Referenced by KPropertiesDialog::slotOk().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:25 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001